Skip to main content
GET
/
api
/
v2
/
public
/
execution
curl --location 'https://api.gocobalt.io/api/v2/public/execution?page=1&limit=10&status=All&execution_source=All' \
  --header 'x-api-key: <YOUR_API_KEY>' \
  --header 'linked_account_id: <YOUR_LINKED_ACCOUNT_ID>'
{
  "docs": [
    {
      "_id": "65410cf6cdf931a12d7ab009",
      "createdAt": "2023-10-31T14:19:34.788Z",
      "name": "Retry for workflow 65200cfd01af0388e905ad92",
      "associated_application": {
        "icon": "https://cobalt-app-logos.s3.ap-south-1.amazonaws.com/slack/logo.png",
        "name": "Slack",
        "_id": "64f6d9f33234d3d6419cfdbc"
      },
      "status": "ERRORED",
      "associated_workflow": {
        "_id": "64f7258e35b72267edc02589",
        "name": "Post message to a channel",
        "icon": ""
      },
      "environment": "test",
      "config_id": "12345",
      "associated_event_id": "6523dfdeffed0fb7e2c3b90e"
    }
  ],
  "totalDocs": 1,
  "limit": 10,
  "totalPages": 1,
  "page": 1,
  "pagingCounter": 1,
  "hasPrevPage": false,
  "hasNextPage": false,
  "prevPage": null,
  "nextPage": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.refold.ai/llms.txt

Use this file to discover all available pages before exploring further.

This API retrieves a paginated list of all executions for a linked account. Supports filtering by execution status, source, and date range.

Request description

This API supports two authentication methods. You can use either a Session Token OR the combination of an Org API key and linked account ID.

Authentication Option 1: Session Token

Authorization
string
required
Bearer token using the session token of the linked account.Format: Bearer <session_token>

Authentication Option 2: Org API Key + Linked Account ID

x-api-key
string
required
Your org-level Refold API key.
linked_account_id
string
required
Unique identifier of the linked account. For example: markwood@some_email.com

Query Parameters

page
integer
Page number for pagination. Defaults to 1.
limit
integer
Number of records to return per page. Defaults to 10.
status
string
Filter executions by status. Accepted values:
  • All — returns all executions regardless of status (default)
  • COMPLETED — only successfully completed executions
  • ERRORED — only executions that failed with an error
  • RUNNING — only executions currently in progress
  • STOPPED — only executions that were stopped
  • STOPPING — only executions in the process of stopping
  • TIMED_OUT — only executions that exceeded the allowed time limit
execution_source
string
Filter executions by their trigger source. Accepted values:
  • All — returns executions from all sources (default)
  • Event — only executions triggered by an event
  • Schedule — only executions triggered by a scheduled job
  • API Call — only executions triggered via an API call
execution_type
string
Filter executions by their execution mode. Accepted values:
  • All — returns executions of all types (default)
  • SYNC — only synchronous executions
  • ASYNC — only asynchronous executions
start_date
string
Filter executions created on or after this date. Format: YYYY-MM-DD.
end_date
string
Filter executions created on or before this date. Format: YYYY-MM-DD.
curl --location 'https://api.gocobalt.io/api/v2/public/execution?page=1&limit=10&status=All&execution_source=All' \
  --header 'x-api-key: <YOUR_API_KEY>' \
  --header 'linked_account_id: <YOUR_LINKED_ACCOUNT_ID>'

Response description

docs
array
totalDocs
integer
Total number of executions matching the applied filters
limit
integer
Records per page
page
integer
Current page number
totalPages
integer
Total number of pages
pagingCounter
integer
Paging counter
hasPrevPage
boolean
Whether the current page has a previous page
hasNextPage
boolean
Whether the current page has a next page
prevPage
integer
Previous page number
nextPage
integer
Next page number
{
  "docs": [
    {
      "_id": "65410cf6cdf931a12d7ab009",
      "createdAt": "2023-10-31T14:19:34.788Z",
      "name": "Retry for workflow 65200cfd01af0388e905ad92",
      "associated_application": {
        "icon": "https://cobalt-app-logos.s3.ap-south-1.amazonaws.com/slack/logo.png",
        "name": "Slack",
        "_id": "64f6d9f33234d3d6419cfdbc"
      },
      "status": "ERRORED",
      "associated_workflow": {
        "_id": "64f7258e35b72267edc02589",
        "name": "Post message to a channel",
        "icon": ""
      },
      "environment": "test",
      "config_id": "12345",
      "associated_event_id": "6523dfdeffed0fb7e2c3b90e"
    }
  ],
  "totalDocs": 1,
  "limit": 10,
  "totalPages": 1,
  "page": 1,
  "pagingCounter": 1,
  "hasPrevPage": false,
  "hasNextPage": false,
  "prevPage": null,
  "nextPage": null
}